body {
    background-color: azure;
    display:flex;
    justify-content: center;
    flex-direction: column;
    border:solid;

}

section{
    width: 50%;
    border: 1px solid black;
    text-align: justify;
    padding: 12px;
    margin: auto auto 20px;
}


ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}
/* Login page */

.tete_login{
    border-bottom:solid;
    text-align: center;
}
.general_container{
    display: flex;
    justify-content: space-around;
    align-items: center;
    height: 70%;
    width: 80%;
}
.register_container{
    display:flex;
    flex-direction: column;
    justify-content: space-around;
    align-items:center;
}

.form_container{
    display:flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    margin-top: 6rem;
    height: 30%;
}
.register_title{
    margin: 5rem;
}


/* Register page */
.register_form{
    display:flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    height: 40%;
}
.register_form .form_container{
    margin-top: 0rem;
    margin-bottom: 2rem;
}
.fieldWrapper{
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    margin: 1rem;
}


/* Flux page */
#nav_bar{
    border:solid;
    display:flex;
    justify-content: space-around;
}
.buttons{
    display: flex;
    height:10rem;
    width: 50%;
    justify-content: space-around;
    align-items: center;

}
.buttons button  {
    height: 3rem;
    width: 10rem;
    border-radius: 10px;
}



.flux_container{
    display:flex;
    flex-direction: column;
    align-items: center;
    padding:1rem;
}
.flux_container h4{
    margin:1rem;
}
.flux_container h2{
    margin:2rem;
}

/* Ticket response page */
.current_ticket{
    padding: 1rem;
    border: solid 1px black;
    width: 90%;
    margin:3rem;
}
.response_container{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    padding: 1rem;
    border: solid 1px black;
    width: 50%;
}
.ticket_response{
    border: solid 1px black;
    width:50%;
}

#response{
    width: 92%;
    margin: 1rem;
}

img{
    width: 15rem;
}

.checked {
  color: orange;
}

/* Common style */
button a{
    text-decoration: none;
    color:black;
}

/* Ticket snippet */
.button_review{
    display:flex;
    justify-content: end;
}
.button_review button{
    height:3rem;
    width:10rem;
    border-radius:10px;
}

.intro_ticket{
    display:flex;
    justify-content: space-between;
    align-items: center;
}

/* Review en response à un ticket*/
.comment_review{
    display:flex;
    justify-content: space-between;
    width: 50%;
}
.ticket_reviewed{
    border: solid black 2px;

}
.ticket_reviewed img{
    margin: 10px;
    width: 8rem;
}


/* Abonnements */

.follow_research{
    display:flex;
    justify-content: center;
}
.follow_research input{
    margin: 10px;
}
.research{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.research h2{
    margin:15px;
}

.subscriptions, .followers{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 10rem;
}
.subscriptions h4, .followers h4{
    margin: 30px;
}
.follow_list{
    border: solid black 1px;
    width: 50rem;
    display: flex;
    justify-content: space-between;
}
.follow_list span{
    margin-left: 3rem;
}

/* Create ticket */
.create_ticket{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 5rem;
}
.create_ticket h1{
    margin-bottom:3rem;
}
.create{
    margin-left: 40rem;
    margin-top: 5rem;
}
.ticket_form{
    display:flex;
}
.field{
    flex-direction: column;
    display: flex;
    justify-content: space-around;
    width: 100%;
    margin: 1rem;

}

/* Create a review */
.review_cont{
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
}
.review_cont h1{
    margin:3rem;
}
.book, .review_form{
    border:solid black 1px;
    width: 45rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 3rem;
}
.field_review{
    flex-direction: column;
    display: flex;
    justify-content: space-around;
    width: 80%;
    margin: 1rem;

}

#send_review{
    margin-bottom: 5rem;
    margin-left: 40rem;
}

/* Posts Page*/

.post_buttons button{
    height:3rem;
    width:10rem;
    border-radius:10px;
    margin: 1rem;
}
.post_buttons{
    display: flex;
    justify-content: flex-end;
}